Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.wire.auth.legacy

# Class LegacyHash

java.lang.Object
org.firebirdsql.gds.ng.wire.auth.legacy.LegacyHash

public final class LegacyHash extends Object
Implements the one way password hash used by the legacy authentication of Firebird.

NOTE: This class was modified to only be applicable specifically to the hash used by Firebird, it is not generally usable.

Original class name: UnixCrypt

Author:
  Greg Wilkins (gregw)

## Method Summary

Modifier and Type
Method
Description
`static byte[]`
`fbCrypt(String key)`
Encrypts String into crypt (Unix) code as used by Firebird.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### fbCrypt

public static byte[] fbCrypt(String key)
Encrypts String into crypt (Unix) code as used by Firebird.

Parameters:
  `key` - the key to be encrypted
Returns:
  the encrypted String